OracleAppJMSServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppJMSServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppJMSServer

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface OracleAppJMSServer

extends J2EEResource

OracleAppJMSServer

Naming Rules:
  0="domain,name" 1="server,name"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`boolean` | `getCheckPermissions()`
`boolean` | `getDebug()`
`OracleAppJMSDestination[]` | `getDestinations()`
`boolean` | `getEnabled()`
`boolean` | `getForceRecovery()`
`boolean` | `getJ2ee14()`
`int` | `getListenerAttempts()`
`int` | `getMaxOpenFiles()`
`long` | `getMessagePoll()`
`boolean` | `getNoDms()`
`boolean` | `getNoJmx()`
`double` | `getPagingThreshold()`
`BindAddress` | `getPrimarySAP()`
`boolean` | `getPrintStackTrace()`
`boolean` | `getSaveAllExpired()`
`long` | `getServerPoll()`
`boolean` | `hasCheckPermissions()`
`boolean` | `hasDebug()`
`boolean` | `hasDestinations()`
`boolean` | `hasEnabled()`
`boolean` | `hasForceRecovery()`
`boolean` | `hasJ2ee14()`
`boolean` | `hasListenerAttempts()`
`boolean` | `hasMaxOpenFiles()`
`boolean` | `hasMessagePoll()`
`boolean` | `hasNoDms()`
`boolean` | `hasNoJmx()`
`boolean` | `hasPagingThreshold()`
`boolean` | `hasPrimarySAP()`
`boolean` | `hasPrintStackTrace()`
`boolean` | `hasSaveAllExpired()`
`boolean` | `hasServerPoll()`
`void` | `setCheckPermissions(boolean checkPermissions)`
`void` | `setDebug(boolean debug)`
`void` | `setDestinations(OracleAppJMSDestination[] destinations)`
`void` | `setEnabled(boolean enabled)`
`void` | `setForceRecovery(boolean forceRecovery)`
`void` | `setJ2ee14(boolean j2ee14)`
`void` | `setListenerAttempts(int listenerAttempts)`
`void` | `setMaxOpenFiles(int maxOpenFiles)`
`void` | `setMessagePoll(long messagePoll)`
`void` | `setNoDms(boolean noDms)`
`void` | `setNoJmx(boolean noJmx)`
`void` | `setPagingThreshold(double pagingThreshold)`
`void` | `setPrimarySAP(BindAddress sap)`
`void` | `setPrintStackTrace(boolean printStackTrace)`
`void` | `setSaveAllExpired(boolean saveAllExpired)`
`void` | `setServerPoll(long serverPoll)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getPrimarySAP

    BindAddress getPrimarySAP()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setPrimarySAP

    void setPrimarySAP(BindAddress sap)

### hasPrimarySAP

    boolean hasPrimarySAP()

### getDestinations

    OracleAppJMSDestination[] getDestinations()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setDestinations

    void setDestinations(OracleAppJMSDestination[] destinations)

### hasDestinations

    boolean hasDestinations()

### getEnabled

    boolean getEnabled()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnabled

    void setEnabled(boolean enabled)

### hasEnabled

    boolean hasEnabled()

### getPagingThreshold

    double getPagingThreshold()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPagingThreshold

    void setPagingThreshold(double pagingThreshold)

### hasPagingThreshold

    boolean hasPagingThreshold()

### getServerPoll

    long getServerPoll()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerPoll

    void setServerPoll(long serverPoll)

### hasServerPoll

    boolean hasServerPoll()

### getPrintStackTrace

    boolean getPrintStackTrace()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPrintStackTrace

    void setPrintStackTrace(boolean printStackTrace)

### hasPrintStackTrace

    boolean hasPrintStackTrace()

### getSaveAllExpired

    boolean getSaveAllExpired()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSaveAllExpired

    void setSaveAllExpired(boolean saveAllExpired)

### hasSaveAllExpired

    boolean hasSaveAllExpired()

### getNoDms

    boolean getNoDms()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNoDms

    void setNoDms(boolean noDms)

### hasNoDms

    boolean hasNoDms()

### getListenerAttempts

    int getListenerAttempts()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setListenerAttempts

    void setListenerAttempts(int listenerAttempts)

### hasListenerAttempts

    boolean hasListenerAttempts()

### getNoJmx

    boolean getNoJmx()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNoJmx

    void setNoJmx(boolean noJmx)

### hasNoJmx

    boolean hasNoJmx()

### getJ2ee14

    boolean getJ2ee14()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJ2ee14

    void setJ2ee14(boolean j2ee14)

### hasJ2ee14

    boolean hasJ2ee14()

### getCheckPermissions

    boolean getCheckPermissions()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCheckPermissions

    void setCheckPermissions(boolean checkPermissions)

### hasCheckPermissions

    boolean hasCheckPermissions()

### getMaxOpenFiles

    int getMaxOpenFiles()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxOpenFiles

    void setMaxOpenFiles(int maxOpenFiles)

### hasMaxOpenFiles

    boolean hasMaxOpenFiles()

### getMessagePoll

    long getMessagePoll()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMessagePoll

    void setMessagePoll(long messagePoll)

### hasMessagePoll

    boolean hasMessagePoll()

### getForceRecovery

    boolean getForceRecovery()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setForceRecovery

    void setForceRecovery(boolean forceRecovery)

### hasForceRecovery

    boolean hasForceRecovery()

### getDebug

    boolean getDebug()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDebug

    void setDebug(boolean debug)

### hasDebug

    boolean hasDebug()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD